AOZ Studio Beta - Bug #939

Not playing .mp3 and .mp4 now apple mobile & tablet, desktop ok
11/12/2022 10:42 PM - malcolm harvey

Status: Closed Start date: 11/13/2022
Priority: Normal Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B16) u25

Description

In regard to this ticket below (problem on apple). (mobiles & tablets) I0S16.
https://discord.com/channels/653893653940404224/707482106313441350/1039516125236572221

Apple desktops Mac osx work fine Monterey .mp3 & .mp4 in Safari or Chrome etc.[l
Apple mobile I0S 16 Phone and I0S 16 Tablet, now .mp3 & .mp4 yes fails to load in any browser.[l

ie: If you run this same code, it get to the first part, Print "Initializing song..." and then that's it.
Wont yes load a .mp3 now or this asset. Halts. (Apple Ipad or Iphone). .mp3 [

Wont yes load a .mp4 now or this asset. Halts. (Apple Ipad or Iphone). .mp4llll

Ive included aozip as well to test. (Same as code below). Yar, something diff there.

The same problem occurs as .mp4 or .mp3 eventually it gives up in aoz and comes up with the error, .mp3 or .mp4 not found but it
takes quite a while of waiting trying to play either the audio or the video. (lts a bogus aoz message though as its just because it won't
start).

Note: From what | can see, there may be problems with I0S 16 which was not there is 14&15 that has changed.

If its a Apple bug then hopefully an Apple fix it in update. Not sure what has changed.

(AMOS code for testing). Also .aozip attached.

Print "Initializing song..."
Load Asset "100.mp3","songO"
Print "Loaded asset"

Play Audio "songQO"

Print "Playing Song"

Audio Loop On "songQO"

Volume Audio "songO", 100
print "Loop and Vol set"
print "Press a key..."

wait key

//Testing here not required..
Put Key chr$(13)

Put Key chr$(10)

print chr$ (13)

print chr$(10)

continueon:

Print "Waiting to stop..."
wait key

wait key

Stop Audio "songQO"

end

Also these are the missing audio formats / ext's as well aoz needs to add when possible. (.aac/.flac/.m4a).
This should then help alot with apple ppl. See attached. (Really need these for V1 Rel).
https://discord.com/channels/653893653940404224/707482106313441350/1039516125236572221

#1 - 02/20/2023 02:23 PM - malcolm harvey

The 3 audio formats have now been added in for the new version U40.
So this part is done. I'll leave the ticket open for the .mp3/.mp4 issue for now. (Mobile browsers).

#2 - 03/31/2023 12:59 AM - malcolm harvey

- Status changed from New to Closed

U43. Ok we now have aac/.flac/.m4a added, and it can play those formats now on ipad fine.
Also .mp3 plays as well ipad, including .mp4 video also works now in safari/chrome etc.

Note: For whatever reason tho (on a separate issue), iphones still refuse to load using load asset, aac/.flac/.m4a audio files they just hang trying to
load them, it was a similar issue originally with ipads but that was corrected. Oddly enough, both the ipad and iphone run 16.4 os now, but there must
be something different with the iphone stopping it loading those files.

Il close this ticket tho for now and create another one for the iphone alone now.

Files
missing audio formats.png 6.33 KB 11/12/2022 malcolm harvey
My_Audio_app.aozip 20 MB 11/12/2022 malcolm harvey
